package ink.wgink.login.oauth2.server.pojo.vos;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: OauthClientVO
 * @Description: 授权认证客户端
 * @Author: wenc
 * @Date: 2019/1/8 7:43 PM
 * @Version: 1.0
 **/
@ApiModel
public class OAuth2ClientVO {

    @ApiModelProperty(name = "clientId", value = "客户端ID")
    @CheckEmptyAnnotation(name = "客户端ID")
    private String clientId;
    @ApiModelProperty(name = "clientName", value = "客户端名称")
    @CheckEmptyAnnotation(name = "客户端名称")
    private String clientName;
    @ApiModelProperty(name = "resourceIds", value = "资源ID列表")
    private String resourceIds;
    @ApiModelProperty(name = "clientSecret", value = "客户端密码")
    @CheckEmptyAnnotation(name = "客户端密码")
    private String clientSecret;
    @ApiModelProperty(name = "scope", value = "范围")
    @CheckEmptyAnnotation(name = "范围")
    private String scope;
    @ApiModelProperty(name = "authorizedGrantTypes", value = "授权类型")
    @CheckEmptyAnnotation(name = "授权类型")
    private String authorizedGrantTypes;
    @ApiModelProperty(name = "webServerRedirectUri", value = "重定向链接")
    @CheckEmptyAnnotation(name = "重定向链接")
    private String webServerRedirectUri;
    @ApiModelProperty(name = "authorities", value = "权限")
    @CheckEmptyAnnotation(name = "权限")
    private String authorities;
    @ApiModelProperty(name = "accessTokenValidity", value = "访问令牌时效")
    @CheckNumberAnnotation(name = "访问令牌时效", min = 0)
    private Integer accessTokenValidity;
    @ApiModelProperty(name = "refreshTokenValidity", value = "刷新令牌时效")
    @CheckNumberAnnotation(name = "刷新令牌时效", min = 0)
    private Integer refreshTokenValidity;
    @ApiModelProperty(name = "additionalInformation", value = "附加信息")
    private String additionalInformation;
    @ApiModelProperty(name = "autoapprove", value = "自动授权")
    private String autoapprove;
    @ApiModelProperty(name = "environment", value = "系统环境")
    @CheckEmptyAnnotation(name = "系统环境")
    private String environment;
    @ApiModelProperty(name = "systemType", value = "系统类型")
    private String systemType;
    @ApiModelProperty(name = "systemState", value = "系统状态")
    private String systemState;
    @ApiModelProperty(name = "expireTime", value = "系统到期时间")
    private String expireTime;
    @ApiModelProperty(name = "systemSummary", value = "系统介绍")
    private String systemSummary;
    @ApiModelProperty(name = "systemIcon", value = "系统图标")
    private String systemIcon;
    @ApiModelProperty(name = "sort", value = "排序")
    private Double sort;

    public String getClientId() {
        return clientId == null ? "" : clientId.trim();
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getClientName() {
        return clientName == null ? "" : clientName.trim();
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getResourceIds() {
        return resourceIds == null ? "" : resourceIds.trim();
    }

    public void setResourceIds(String resourceIds) {
        this.resourceIds = resourceIds;
    }

    public String getClientSecret() {
        return clientSecret == null ? "" : clientSecret.trim();
    }

    public void setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
    }

    public String getScope() {
        return scope == null ? "" : scope.trim();
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public String getAuthorizedGrantTypes() {
        return authorizedGrantTypes == null ? "" : authorizedGrantTypes.trim();
    }

    public void setAuthorizedGrantTypes(String authorizedGrantTypes) {
        this.authorizedGrantTypes = authorizedGrantTypes;
    }

    public String getWebServerRedirectUri() {
        return webServerRedirectUri == null ? "" : webServerRedirectUri.trim();
    }

    public void setWebServerRedirectUri(String webServerRedirectUri) {
        this.webServerRedirectUri = webServerRedirectUri;
    }

    public String getAuthorities() {
        return authorities == null ? "" : authorities.trim();
    }

    public void setAuthorities(String authorities) {
        this.authorities = authorities;
    }

    public Integer getAccessTokenValidity() {
        return accessTokenValidity == null ? 0 : accessTokenValidity;
    }

    public void setAccessTokenValidity(Integer accessTokenValidity) {
        this.accessTokenValidity = accessTokenValidity;
    }

    public Integer getRefreshTokenValidity() {
        return refreshTokenValidity == null ? 0 : refreshTokenValidity;
    }

    public void setRefreshTokenValidity(Integer refreshTokenValidity) {
        this.refreshTokenValidity = refreshTokenValidity;
    }

    public String getAdditionalInformation() {
        return additionalInformation == null ? "" : additionalInformation.trim();
    }

    public void setAdditionalInformation(String additionalInformation) {
        this.additionalInformation = additionalInformation;
    }

    public String getAutoapprove() {
        return autoapprove == null ? "true" : autoapprove.trim();
    }

    public void setAutoapprove(String autoapprove) {
        this.autoapprove = autoapprove;
    }

    public String getEnvironment() {
        return environment == null ? "" : environment.trim();
    }

    public void setEnvironment(String environment) {
        this.environment = environment;
    }

    public String getSystemType() {
        return systemType == null ? "" : systemType.trim();
    }

    public void setSystemType(String systemType) {
        this.systemType = systemType;
    }

    public String getSystemState() {
        return systemState == null ? "" : systemState.trim();
    }

    public void setSystemState(String systemState) {
        this.systemState = systemState;
    }

    public String getExpireTime() {
        return expireTime == null ? "" : expireTime.trim();
    }

    public void setExpireTime(String expireTime) {
        this.expireTime = expireTime;
    }

    public String getSystemSummary() {
        return systemSummary == null ? "" : systemSummary.trim();
    }

    public void setSystemSummary(String systemSummary) {
        this.systemSummary = systemSummary;
    }

    public String getSystemIcon() {
        return systemIcon == null ? "" : systemIcon.trim();
    }

    public void setSystemIcon(String systemIcon) {
        this.systemIcon = systemIcon;
    }

    public Double getSort() {
        return sort == null ? 0D : sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }
}
